-- MySQL Script generated by MySQL Workbench
-- Tue Jul 20 02:42:51 2021
-- Model: New Model    Version: 1.0
-- MySQL Workbench Forward Engineering

SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0;
SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0;
SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='ONLY_FULL_GROUP_BY,STRICT_TRANS_TABLES,NO_ZERO_IN_DATE,NO_ZERO_DATE,ERROR_FOR_DIVISION_BY_ZERO,NO_ENGINE_SUBSTITUTION';

-- -----------------------------------------------------
-- Schema mydb
-- -----------------------------------------------------
-- -----------------------------------------------------
-- Schema examen_tecnico
-- -----------------------------------------------------

-- -----------------------------------------------------
-- Schema examen_tecnico
-- -----------------------------------------------------
CREATE SCHEMA IF NOT EXISTS `examen_tecnico` DEFAULT CHARACTER SET utf8 ;
USE `examen_tecnico` ;

-- -----------------------------------------------------
-- Table `examen_tecnico`.`genders`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `examen_tecnico`.`genders` (
  `id_genders` INT(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(45) NOT NULL,
  PRIMARY KEY (`id_genders`))
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `examen_tecnico`.`jobs`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `examen_tecnico`.`jobs` (
  `id_jobs` INT(11) NOT NULL AUTO_INCREMENT,
  `name` VARCHAR(255) NOT NULL,
  `salary` DOUBLE NOT NULL,
  PRIMARY KEY (`id_jobs`))
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `examen_tecnico`.`employees`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `examen_tecnico`.`employees` (
  `id_employees` INT(11) NOT NULL AUTO_INCREMENT,
  `genders_id` INT(11) NULL DEFAULT NULL,
  `job_id` INT(11) NULL DEFAULT NULL,
  `name` VARCHAR(255) NULL DEFAULT NULL,
  `last_name` VARCHAR(255) NULL DEFAULT NULL,
  `birthdate` DATE NULL DEFAULT NULL,
  PRIMARY KEY (`id_employees`),
  INDEX `id_gender_idx` (`genders_id` ASC) VISIBLE,
  INDEX `id_job_idx` (`job_id` ASC) VISIBLE,
  CONSTRAINT `id_gender`
    FOREIGN KEY (`genders_id`)
    REFERENCES `examen_tecnico`.`genders` (`id_genders`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION,
  CONSTRAINT `id_job`
    FOREIGN KEY (`job_id`)
    REFERENCES `examen_tecnico`.`jobs` (`id_jobs`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 6
DEFAULT CHARACTER SET = utf8;


-- -----------------------------------------------------
-- Table `examen_tecnico`.`employee_worked_hours`
-- -----------------------------------------------------
CREATE TABLE IF NOT EXISTS `examen_tecnico`.`employee_worked_hours` (
  `id_employee_worked_hours` INT(11) NOT NULL AUTO_INCREMENT,
  `employee_id` INT(11) NULL DEFAULT NULL,
  `worked_hours` INT(11) NULL DEFAULT NULL,
  `worked_date` DATE NULL DEFAULT NULL,
  PRIMARY KEY (`id_employee_worked_hours`),
  INDEX `id_employee_idx` (`employee_id` ASC) VISIBLE,
  CONSTRAINT `id_employee`
    FOREIGN KEY (`employee_id`)
    REFERENCES `examen_tecnico`.`employees` (`id_employees`)
    ON DELETE NO ACTION
    ON UPDATE NO ACTION)
ENGINE = InnoDB
AUTO_INCREMENT = 2
DEFAULT CHARACTER SET = utf8;


SET SQL_MODE=@OLD_SQL_MODE;
SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS;
SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS;
